• Platform
    • Overview
      • Risk Cloud Overview
      • Spark AI
      • Value Realization Tool
      • Services & Support
      • Pricing
    • Capabilities
      • Reporting & Analytics
      • Risk Quantificaton
      • Integrations & API
      • Risk Cloud Exchange
      • Frameworks
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
  • Solutions
    • _separator
      • AI Governance
      • Cyber Risk Management
      • Enterprise Risk Management
      • Third-Party Risk Management
      • Controls Compliance
      • Policy Management
    • _separator
      • Regulatory Compliance
      • Data Privacy
      • Operational Resilience
      • Environmental, Social & Governance
      • Internal Audit
    • 10 Purpose-Built GRC Solutions. One Connected Platform.
      View All Solutions
  • Industries
    • _separator
      • Industries Overview
      • Software
      • FinTech
      • Telecom
      • Financial Services
    • _separator
      • Insurance
      • Investment Services
      • Hospitals & Health Systems
      • Pharmaceuticals
      • Medical Devices
    • _separator
      • Oil & Gas
      • Utilities
      • Alternative Energy
  • Company
    • _separator
      • About Us
      • Careers
      • Leadership
      • Partners
    • _separator
      • News
      • Trust & Security
      • Contact Us
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
  • Resources
    • Risk Cloud Help
      • Help Center
      • Developer Portal
    • Learn + Connect
      • Blog
      • Customer Stories
      • Resources
      • Events
      • Podcast
    • img
      LogicGate Named a Leader!
      The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
      Get the Full Report
Request A Demo
img
The Forrester Wave™: Governance, Risk, And Compliance Platforms, Q4 2023
Get the Full Report

Documentation

Menu

  • Quick Start Guides
    • Risk Cloud API: Postman
    • Risk Cloud API: Getting Started
    • Risk Cloud PowerBI Connection
    • Risk Cloud Webhooks
  • API Usage Guides
    • Risk Cloud API: Update Field Configuration
    • Risk Cloud API: Update Roles on User
    • Risk Cloud API: Update Users and Permission Sets on Role
    • Risk Cloud API: Delete Records
    • Risk Cloud API: Bulk Link Records
    • Risk Cloud API: Data Repositories
    • Risk Cloud API: Bulk Import Records
    • Risk Cloud API: Build Audit Log Export
    • Risk Cloud API: Grant Users Record Access
    • Risk Cloud API: Assign Records
    • Risk Cloud API: View Record Audits
    • Risk Cloud API: Update Record User Groups
    • Risk Cloud API: Create User Groups
    • Risk Cloud API: Export Attachments
    • Risk Cloud API: Update Records
    • Risk Cloud API: Create Records
    • Risk Cloud API: View Field Audits
    • Risk Cloud API: Moving Records
    • Risk Cloud API: Post Record Comments
    • Risk Cloud API: Export Table Report
    • Risk Cloud API: Link Records
    • Risk Cloud API: Export Step Permission Sets
    • Risk Cloud API: Export User Groups
    • Risk Cloud API: Export Roles
    • Risk Cloud API: Linked Record Search
    • Risk Cloud API: Record Search
    • Risk Cloud API: Automated Evidence Collection
    • Risk Cloud API: Pagination
    • Risk Cloud API: Authentication
    • Risk Cloud API: Export Record Data
    • Risk Cloud API: Upload Attachments
    • Risk Cloud API: View User Access Audits
    • Risk Cloud API: View Applications, Workflows, and Steps
    • Risk Cloud API: Viewing Fields
    • Risk Cloud API: Viewing Users
    • Risk Cloud API: Create Users
  • Release Notes
    • v2025.4.0 Release Notes
    • v2025.3.2 Release Notes
    • v2025.2.0 Release Notes
    • v2025.1.0 Release Notes
    • v2024.12.0 Release Notes
    • v2024.11.1 Release Notes
    • v2024.11.0 Release Notes
    • v2024.10.1 Release Notes
    • v2024.10.0 Release Notes
    • v2024.9.2 Release Notes
    • v2024.9.1 Release Notes
    • v2024.9.0 Release Notes
    • v2024.8.1 Release Notes
    • v2024.8.0 Release Notes
    • v2024.7.1 Release Notes
    • v2024.7.0 Release Notes
    • v2024.6.1 Release Notes
    • v2024.6.0 Release Notes
    • v2024.5.1 Release Notes
    • v2024.5.0 Release Notes
    • v2024.4.2 Release Notes
    • v2024.4.1 Release Notes
    • v2024.4.0 Release Notes
    • v2024.3.1 Release Notes
    • v2024.3.0 Release Notes
    • v2024.2.1 Release Notes
    • v2024.2.0 Release Notes
    • v2024.1.1 Release Notes
    • v2024.1.0 Release Notes
    • v2023.12.0 Release Notes
    • v2023.11.0 Release Notes
    • v2023.10.2 Release Notes
    • v2023.10.1 Release Notes
    • v2023.10.0 Release Notes
    • v2023.9.1 Release Notes
    • v2023.9.0 Release Notes
    • v2023.8.1 Release Notes
    • v2023.8.0 Release Notes
    • v2023.7.1 Release Notes
    • v2023.7.0 Release Notes
    • v2023.6.1 Release Notes
    • v2023.6.0 Release Notes
    • v2023.5.2 Release Notes
    • v2023.5.1 Release Notes
    • v2023.5.0 Release Notes
    • v2021.4.0 Release Notes
    • v2021.3.0 Release Notes
    • v2021.2.0 Release Notes
    • v2021.1.0 Release Notes
  • Developer Blogs
    • New Year, New Developer Relations Resources: 2024 in Review
    • New Year, New Developer Relations Resources: 2023 in Review
    • Tidying Up Existing REST APIs
    • Accessibility Improvements at LogicGate
    • What Do We Look for in Developers?
    • 2 Quick Tips I’ve learned for FE Testing as a LogicGate Dev
    • Kotlin at LogicGate
    • Spring Boot with Neo4j & MySQL
  • Case Studies
  • Home
  • Developer Resources
  • API Usage Guides

Risk Cloud API: Create Users

Updated on: January 17, 2022

This article walks through creating Users via the Risk Cloud API.

API Authentication

Prior to any interaction with Risk Cloud API we will need to obtain an Access Token for the Authorization header. Instructions on how the Access Token can be obtained can be found here.

Permissions

Creating a User via the Risk Cloud API requires an Access Token from an Admin Primary account.

Background

In order to create Users in your environment via the Risk Cloud API, we will need to assemble the JSON of the User for an API POST request.

The Create User endpoint can be helpful for integrations that automate the onboarding of new colleagues or teams to the Risk Cloud.

Usage

Creating a User via the Risk Cloud API can be accomplished in two steps:

  1. Configure the User in JSON

  2. Create the User via a request

Configure the User in JSON

Below is a sample JSON body of a User to be created.

{
  "active": true,
  "status": "Active",
  "tier": "SECONDARY",
  "valueType": "User",
  "sendEmail": false,
  "email": "[email protected]",
  "first": "FirstName",
  "last": "LastName",
  "company": "Your Company"
}

The properties of tier, sendEmail, email, first, last, and company should be adjusted to the User you will be creating.

The sendEmail property is important in that if this is true then the system will send an automatic Welcome Message after the User is created.

Additionally, the tier property designates the User's access tier. Values can be:

  • "PRIMARY" Primary users are users who have access to the Build section of the app (these are typically Admin users).
  • "SECONDARY" Secondary users are users without access to the Build section (these are typically end-users).
  • "LIMITED" Limited users are secondary users who only use the platform infrequently (these are typically end-users performing quarterly or annual tasks).

Create the User via a request

Once the JSON for the User you'd like to create has been assembled, you can create the User by placing the JSON in the following request.

curl --request POST 'https://your-company.logicgate.com/api/v1/users' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {ACCESS_TOKEN}' \
--data-raw '{
"active": true,
"status": "Active",
"tier": "SECONDARY",
"valueType": "User",
"sendEmail": false,
"email": "[email protected]",
"first": "FirstName",
"last": "LastName",
"company": "Your Company"
}'

If successful, the User will be created and the response will contain the new User's information as shown below, including the User ID which can be used for future API requests.

{
  "status":"Active",
  "id":"a4b3c2d1",
  "active":true,
  "created":1629383622871,
  "updated":1629383622932,
  "email":"[email protected]",
  "company":"Your Company",
  "imageUrl":null,
  "imageS3Key":null,
  "status":"Active",
  "tier":"SECONDARY",
  "first":"FirstName",
  "last":"LastName",
  "languageTag":"en-GB",
  "timeZone":"Europe/Kiev",
  "notificationPreference":false,
  "mfaEnabled":false,
  "mfaSetup":false,
  "autoprovisioned":false,
  "scimStatus":null,
  "sendEmail":false,
  "roles":[],
  "stepPermissionSets":[],
  "applicationEntitlements":[],
  "records":[],
  "lastLogin":null,
  "external":false,
  "superUser":false,
  "name":"FirstName LastName",
  "locked":false,
  "idOrTransientId":"a4b3c2d1",
  "transientIdOrId":"a4b3c2d1",
  "empty":false
}

 

Read Previous API Usage Guides
Read Next Release Notes
  • 320 W Ohio St
    Suite 600W
    Chicago, IL 60654
  • 312-279-2775
    • LinkedIn
    • Twitter
    • Youtube
  • Looking for something specific?
  • Request A Demo
  • Platform
    • Risk Cloud Overview
    • Spark AI
    • Value Realization Tool
    • Reporting & Analytics
    • Risk Quantification
    • Integrations & API
    • Risk Cloud Exchange
    • Services & Support
    • Frameworks
    • Pricing
  • Company
    • Careers We're hiring!
    • Executive Team
    • Partners
    • LogicGate News
    • LogicGate Trust Center
    • Contact Us
  • Resources
    • Blog
    • Email Newsletter
    • Resource Center
    • Help Center
    • Developer
  • Solutions
    • AI Governance
    • Cyber Risk & Controls Compliance
    • Enterprise Risk Management
    • Third-Party Risk Management
    • Controls Compliance
    • Regulatory Compliance
    • Data Privacy Management
    • Operational Resilience
    • Policy Management
    • Environmental, Social & Governance
    • Internal Audit Management
    • View All Solutions
  • Industries
    • Software
    • FinTech
    • Telecom
    • Financial Services
    • Insurance
    • Investment Services
    • Healthcare
    • Pharmaceuticals
    • Medical Devices
    • Oil & Gas
    • Utilities
    • Alternative Energy
  • LinkedIn TwitterYoutube

Copyright © 2026. LogicGate, Inc. All rights reserved.

  • Privacy Policy
  • Information Security Measures